#
# spec file for package yast2-transfer
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yast2-transfer
Version:        4.1.0
Release:        lp152.2.4

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2

BuildRequires:  curl-devel
BuildRequires:  doxygen
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  perl-XML-Writer
BuildRequires:  update-desktop-files
BuildRequires:  yast2
BuildRequires:  yast2-core-devel
BuildRequires:  yast2-devtools >= 3.1.10
%if 0%{?suse_version} < 1220
BuildRequires:  libxcrypt-devel
%endif
Requires:       yast2-ruby-bindings >= 1.0.0

Summary:        YaST2 - Agent for Various Transfer Protocols
License:        GPL-2.0-only
Group:          System/YaST
Provides:       yast2-agent-curl
Provides:       yast2-agent-curl-devel
Provides:       yast2-agent-tftp
Provides:       yast2-agent-tftp-devel
Obsoletes:      yast2-agent-curl
Obsoletes:      yast2-agent-curl-devel
Obsoletes:      yast2-agent-tftp
Obsoletes:      yast2-agent-tftp-devel
Obsoletes:      yast2-transfer-devel-doc
Requires:       curl

%description
A YaST2 Agent for various Transfer Protocols: FTP, HTTP, and TFTP.

%prep
%setup -n %{name}-%{version}

%build
%yast_build

%install
%yast_install

rm -f $RPM_BUILD_ROOT/%{yast_plugindir}/libpy2ag_curl.la
rm -f $RPM_BUILD_ROOT/%{yast_plugindir}/libpy2ag_tftp.la

%files
%defattr(-,root,root)
%{yast_scrconfdir}/*.scr
%{yast_plugindir}/libpy2ag_curl.so.*
%{yast_plugindir}/libpy2ag_curl.so
%{yast_plugindir}/libpy2ag_tftp.so.*
%{yast_plugindir}/libpy2ag_tftp.so
%{yast_moduledir}/*

%dir %{yast_docdir}
%license %{yast_docdir}/COPYING

%changelog
* Tue Feb 26 2019 José Iván López González <jlopez@suse.com>
- Version bump (bsc#1124009)
- 4.1.0
* Mon Aug 20 2018 schubi@suse.de
- Changed dir of COPYING file.
- Switched license in spec file from SPDX2 to SPDX3 format.
* Fri Apr  6 2018 mfilka@suse.com
- bnc#1087957 - version bump
- 4.0.0
* Thu Jun  2 2016 igonzalezsosa@suse.com
- Drop yast2-transfer-devel-doc package (fate#320356)
- 3.1.3
* Mon Jan 26 2015 jreidinger@suse.com
- fixed \r character lost during conversion to Ruby (bnc#344123)
- 3.1.2
* Wed Nov 13 2013 jreidinger@suse.com
- Add explicit COPYING file
* Thu Sep 19 2013 lslezak@suse.cz
- do not use *.spec.in template, use *.spec file with RPM macros
  instead
- 3.1.0
* Thu Aug  1 2013 lslezak@suse.cz
- move the development documentation to devel-doc subpackage
- removed yast2-testsuite Buildrequire
- 3.0.1
* Wed Jul 31 2013 yast-devel@opensuse.org
- converted from YCP to Ruby by YCP Killer
  (https://github.com/yast/ycp-killer)
- version 3.0.0
* Tue Nov 13 2012 tgoettlicher@suse.de
- confirmed license gpl v2
- 2.21.1
* Tue Apr 10 2012 tgoettlicher@suse.de
- BuildRequire libxcrypt-devel only for < 12.2
* Fri Nov 25 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Fri Jul 29 2011 ug@suse.de
- add support for client certificates for HTTPS
- 2.21.0
* Fri Oct  9 2009 ug@suse.de
- 2.18.1
* Fri Jun 19 2009 mvidner@suse.cz
- Using autodocs-cc.ami, which contains a fix for automake 1.11.
* Mon May 25 2009 ug@suse.de
- send ACK package for the last DATA package that was received
  via TFTP
- 2.18.0
* Fri Jan  4 2008 ug@suse.de
- follow HTTP code 301 and 302 (#344123)
- version 2.16.1
* Tue Sep 25 2007 ug@suse.de
- version 2.16.0
* Thu Jan 11 2007 ug@suse.de
- *.la files removed
* Wed Nov 29 2006 ug@suse.de
- version 2.15.0
* Thu Nov  9 2006 ug@suse.de
- version 2.14.0
* Wed Sep 13 2006 ro@suse.de
- added yast2-core-devel to BuildRequires·
* Thu Jun  1 2006 locilka@suse.cz
- Marking FTP, TFTP and HTTP modules as Stable.
* Mon Mar  6 2006 locilka@suse.cz
- Ajusted BuildRequires for package
- 2.13.3
* Thu Jan  5 2006 locilka@suse.cz
- Adding enhancement wanted and created by ug@suse.de
  Adding functionality which allows to disable the strict HTTPS
  more to more useful. The default behavior is unchanged.
- 2.13.2
* Thu Dec 15 2005 locilka@suse.cz
- Fixed bug #135829
  Curl library was called with wrong data-type. The bug appeared on
  big-endian 64bits only (Such as s390x).
- 2.13.1
* Wed Nov 30 2005 locilka@suse.cz
- Added debugging message into the Curl::Get function
- 2.13.0
* Thu Apr 28 2005 locilka@suse.cz
- Changing package maintainer to locilka@suse.cz
- 2.12.0
* Wed May  5 2004 nashif@suse.de
- Fixed bug #39996: fixed tftp 'put'
* Fri Apr  2 2004 nashif@suse.de
- License changed to GPL
* Fri Mar 19 2004 mvidner@suse.cz
- added AGENT_LIBADD so that agents work from standalone Perl
* Sun Jan 25 2004 nashif@suse.de
- First version with new interpreter
- 2.9.1
* Thu Jun 12 2003 nashif@suse.de
- Fixed file list
* Tue Feb  4 2003 nashif@suse.de
- Added FTP Get
- 2.7.0
* Mon Aug  5 2002 nashif@suse.de
- Added URI parser
- 2.6.1
* Wed Jul 17 2002 nashif@suse.de
- Merged tftp and  curl agents
- 2.6.0
* Fri Jul 12 2002 nashif@suse.de
- Initial version
